Package org.kapott.hbci.sepa.jaxb.pain_008_001_01

## Class AmendmentInformationDetails4

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_01.AmendmentInformationDetails4

    public class AmendmentInformationDetails4
    extends java.lang.Object

Java class for AmendmentInformationDetails4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmendmentInformationDetails4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="OrgnlMndtId" type="{urn:sepade:xsd:pain.008.001.01}Max35Text" minOccurs="0"/>
             <element name="OrgnlCdtrSchmeId" type="{urn:sepade:xsd:pain.008.001.01}PartyIdentification17" minOccurs="0"/>
             <element name="OrgnlDbtrAcct" type="{urn:sepade:xsd:pain.008.001.01}CashAccount8" minOccurs="0"/>
             <element name="OrgnlDbtrAgt" type="{urn:sepade:xsd:pain.008.001.01}FinancialInstitution3" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected PartyIdentification17` `orgnlCdtrSchmeId`
`protected CashAccount8` `orgnlDbtrAcct`
`protected FinancialInstitution3` `orgnlDbtrAgt`
`protected java.lang.String` `orgnlMndtId`

### Constructor Summary

Constructors
`AmendmentInformationDetails4()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PartyIdentification17` `getOrgnlCdtrSchmeId()` Gets the value of the orgnlCdtrSchmeId property.
`CashAccount8` `getOrgnlDbtrAcct()` Gets the value of the orgnlDbtrAcct property.
`FinancialInstitution3` `getOrgnlDbtrAgt()` Gets the value of the orgnlDbtrAgt property.
`java.lang.String` `getOrgnlMndtId()` Gets the value of the orgnlMndtId property.
`void` `setOrgnlCdtrSchmeId​(PartyIdentification17 value)` Sets the value of the orgnlCdtrSchmeId property.
`void` `setOrgnlDbtrAcct​(CashAccount8 value)` Sets the value of the orgnlDbtrAcct property.
`void` `setOrgnlDbtrAgt​(FinancialInstitution3 value)` Sets the value of the orgnlDbtrAgt property.
`void` `setOrgnlMndtId​(java.lang.String value)` Sets the value of the orgnlMndtId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### orgnlMndtId

    protected java.lang.String orgnlMndtId

#### orgnlCdtrSchmeId

    protected PartyIdentification17 orgnlCdtrSchmeId

#### orgnlDbtrAcct

    protected CashAccount8 orgnlDbtrAcct

#### orgnlDbtrAgt

    protected FinancialInstitution3 orgnlDbtrAgt

### Constructor Detail

#### AmendmentInformationDetails4

    public AmendmentInformationDetails4()

### Method Detail

#### getOrgnlMndtId

    public java.lang.String getOrgnlMndtId()

Gets the value of the orgnlMndtId property.

Returns:
  possible object is `String`

#### setOrgnlMndtId

    public void setOrgnlMndtId​(java.lang.String value)

Sets the value of the orgnlMndtId property.

Parameters:
  `value` - allowed object is `String`

#### getOrgnlCdtrSchmeId

    public PartyIdentification17 getOrgnlCdtrSchmeId()

Gets the value of the orgnlCdtrSchmeId property.

Returns:
  possible object is `PartyIdentification17`

#### setOrgnlCdtrSchmeId

    public void setOrgnlCdtrSchmeId​(PartyIdentification17 value)

Sets the value of the orgnlCdtrSchmeId property.

Parameters:
  `value` - allowed object is `PartyIdentification17`

#### getOrgnlDbtrAcct

    public CashAccount8 getOrgnlDbtrAcct()

Gets the value of the orgnlDbtrAcct property.

Returns:
  possible object is `CashAccount8`

#### setOrgnlDbtrAcct

    public void setOrgnlDbtrAcct​(CashAccount8 value)

Sets the value of the orgnlDbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount8`

#### getOrgnlDbtrAgt

    public FinancialInstitution3 getOrgnlDbtrAgt()

Gets the value of the orgnlDbtrAgt property.

Returns:
  possible object is `FinancialInstitution3`

#### setOrgnlDbtrAgt

    public void setOrgnlDbtrAgt​(FinancialInstitution3 value)

Sets the value of the orgnlDbtrAgt property.

Parameters:
  `value` - allowed object is `FinancialInstitution3`